# radius_put_vendor_int

(PECL radius >= 1.1.0)

radius_put_vendor_int — Attache un attribut entier à un vendeur spécifique

### Description

radius_put_vendor_int(
resource `$radius_handle`,
int `$vendor`,
int `$type`,
int `$value`,
int `$options` = 0,
int `$tag` = ?
): bool

Attache un attribut spécifique au vendreau à la requête courante RADIUS.

### Liste de paramètres

`radius_handle`

  La ressource RADIUS.

`vendor`

  L'identifiant du vendeur.

`type`

  Le type d'attribut.

`value`

  La valeur de l'attribut.

`options`

  Un masqe d'options d'attribut. Les options disponibles incluent `RADIUS_OPTION_TAGGED` et `RADIUS_OPTION_SALT`.

`tag`

  L'attribut tag. Ce paramètre est ignoré tant que l'option `RADIUS_OPTION_TAGGED` est défini.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient.

### Historique

Version | Description
--- | ---
PECL radius 1.3.0 | Les options `options` et `tag` ont été ajoutés.

### Voir aussi

- radius_put_vendor_string() - Attache un attribut sous la forme d'une chaîne à un vendeur spécifique